Bug 2355 - [UPDATE REQUEST] rsyslog was fixed to avoid failures due to stale files
: [UPDATE REQUEST] rsyslog was fixed to avoid failures due to stale files
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 16:38 MSD by Eugene Shatokhin
Modified: 2013-07-22 10:46 MSD (History)
3 users (show)

See Also:
RPM Package: rsyslog-5.8.12
ISO-related:
Bad POT generating:
Upstream: known
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2013-07-17 16:38:01 MSD
rsyslog was fixed to avoid failures due to stale files.

This update is one of those needed to fix http://bugs.rosalinux.ru/show_bug.cgi?id=1744
Comment 1 Eugene Shatokhin 2013-07-17 16:55:53 MSD
Advisory:
Rsyslog was fixed to avoid startup failures due to stale PID files.

Buildlists:
https://abf.rosalinux.ru/build_lists/1186917
https://abf.rosalinux.ru/build_lists/1186918
--------------------------------------------

How to test the fix:
1. Stop and disable (just in case) rsyslog.service:
# systemctl disable rsyslog.service
# systemctl stop rsyslog.service

2. Make sure "[Service]" section in /lib/systemd/system/rsyslog.service contains line
"ExecStartPre=/bin/rm -f /var/run/rsyslogd.pid"

3. Write a PID of any running process, say, 1, to /var/run/rsyslogd.pid (simulate a PID file left behind by rsyslogd before, that caused failures before this fix):
# echo 1 > /var/run/rsyslogd.pid

4. Enable and start rsyslog.service:
# systemctl enable rsyslog.service
# systemctl start rsyslog.service

5. Check that rsyslog.service has started successfully, for example, with 'systemctl status rsyslog.service'.
Comment 2 Vladimir Potapov 2013-07-19 18:59:04 MSD
The package route to extended testing
Comment 3 Postnikov Dmitry 2013-07-22 01:16:15 MSD
********************************
Extended testing report
*******************************
Everything works fine on all computers.
Comment 4 Vladimir Potapov 2013-07-22 04:47:19 MSD
rsyslog-5.8.12-2-rosa2012.1
**************************** Advisory **************************
rsyslog was fixed to avoid failures due to stale files.
****************************************************************
QA Verified